Bug 1110361 - Power and Console links are disabled for non-admin users
Summary: Power and Console links are disabled for non-admin users
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dmitri Dolguikh
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-17 13:45 UTC by Bryan Kearney
Modified: 2019-09-26 14:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:28:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5994 None None None 2016-04-22 15:08:01 UTC

Description Bryan Kearney 2014-06-17 13:45:32 UTC
I just upgraded from 1.4.0 to 1.5 and noticed that all non-admin users aren't able to power or connect to the console on VMWare hosts' page.  I've verified the roles to make sure "power_compute_resources_vms" and "console_compute_resources_vms" are allowed for these hosts, but the buttons continue to be disabled.  The users can access https://foremanserver/hosts/hostname.domain/console URL directly so it looks like they have permission.  This is causing a lot of confusion for our users and it looks like it might just be a bug in the frontend.

Comment 1 Bryan Kearney 2014-06-17 13:45:34 UTC
Created from redmine issue http://projects.theforeman.org/issues/5994

Comment 2 Bryan Kearney 2014-06-17 13:45:39 UTC
Upstream bug assigned to ddolguik@redhat.com

Comment 4 Bryan Kearney 2014-06-23 12:04:38 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5994 has been closed

Comment 7 Dominic Cleal 2014-08-14 15:24:14 UTC
1. create a host on a compute resource
2. create a user with view_hosts, console_hosts, power_hosts permissions
3. as the user, view the host page, try and view console and use power buttons

Not specific to VMware, libvirt's fine.

Comment 8 Kedar Bidarkar 2014-08-14 16:16:55 UTC
Added permissions:

a) view_hosts,
b) power_hosts,
c) console_hosts


Installed Packages

    candlepin-0.9.19-1.el6_5.noarch
    candlepin-scl-1-5.el6_4.noarch
    candlepin-scl-quartz-2.1.5-5.el6_4.noarch
    candlepin-scl-rhino-1.7R3-1.el6_4.noarch
    candlepin-scl-runtime-1-5.el6_4.noarch
    candlepin-selinux-0.9.19-1.el6_5.noarch
    candlepin-tomcat6-0.9.19-1.el6_5.noarch
    createrepo-0.9.9-21.2.pulp.el6sat.noarch
    elasticsearch-0.90.10-4.el6sat.noarch
    katello-1.5.0-28.el6sat.noarch
    katello-ca-1.0-1.noarch
    katello-certs-tools-1.5.6-1.el6sat.noarch
    katello-installer-0.0.57-1.el6sat.noarch
    m2crypto-0.21.1.pulp-10.el6sat.x86_64
    mod_wsgi-3.4-1.pulp.el6sat.x86_64
    pulp-katello-0.3-3.el6sat.noarch
    pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
    pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
    pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
    pulp-server-2.4.0-0.30.beta.el6sat.noarch
    python-gofer-qpid-1.3.0-1.el6sat.noarch
    python-isodate-0.5.0-1.pulp.el6sat.noarch
    python-kombu-3.0.15-12.pulp.el6sat.noarch
    python-pulp-bindings-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-puppet-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-rpm-common-2.4.0-0.30.beta.el6sat.noarch
    python-qpid-0.22-14.el6sat.noarch
    python-qpid-qmf-0.22-33.el6.x86_64
    qpid-cpp-client-0.22-42.el6.x86_64
    qpid-cpp-server-0.22-42.el6.x86_64
    qpid-cpp-server-linearstore-0.22-42.el6.x86_64
    qpid-java-client-0.22-6.el6.noarch
    qpid-java-common-0.22-6.el6.noarch
    qpid-proton-c-0.7-1.el6.x86_64
    qpid-qmf-0.22-33.el6.x86_64
    qpid-tools-0.22-12.el6.noarch
    ruby193-rubygem-katello-1.5.0-78.el6sat.noarch
    rubygem-hammer_cli_katello-0.0.4-10.el6sat.noarch

Comment 9 Bryan Kearney 2014-09-11 12:28:54 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.